Debian Bug report logs - #591206
tinymce: contains Flash files without source code, notably non-free flv_player.swf

version graph

Package: src:tinymce; Maintainer for src:tinymce is Frank Habermann <lordlamer@lordlamer.de>;

Reported by: Raphael Geissert <geissert@debian.org>

Date: Sun, 1 Aug 2010 04:33:01 UTC

Severity: serious

Tags: moreinfo, patch, upstream

Found in version tinymce/3.3.8-1

Fixed in version tinymce/3.3.8+dfsg0-0.1

Done: Didier Raboud <didier@raboud.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Sun, 01 Aug 2010 04:33:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: tinymce: does not build swf files from source
Date: Sun, 1 Aug 2010 00:30:52 -0400
Source: tinymce
Version: 3.3.8-1
Severity: serious

Hi,

tinymce ships multiple swf files but does not build them from source.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Thu, 05 Aug 2010 10:48:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.at>:
Extra info received and forwarded to list. Copy sent to Frank Habermann <lordlamer@lordlamer.de>. (Thu, 05 Aug 2010 10:48:20 GMT) Full text and rfc822 format available.

Message #8 received at 591206@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: 591197@bugs.debian.org, 591193@bugs.debian.org, 591194@bugs.debian.org, 591195@bugs.debian.org, 591199@bugs.debian.org, 591200@bugs.debian.org, 591201@bugs.debian.org, 591203@bugs.debian.org, 591205@bugs.debian.org, 591206@bugs.debian.org, 591207@bugs.debian.org, 591208@bugs.debian.org, 591209@bugs.debian.org, 591210@bugs.debian.org, 591383@bugs.debian.org
Subject: about not building swf files from source
Date: Thu, 5 Aug 2010 12:46:43 +0200
	Hi!

 The initial message about this issue was pretty terse and I hope to
offer additional information to you through this message.

 The issue your package is facing might be divided into two groups:
Packages that have the source to the .swf file available (like in .fla
or .as form from what I understood) and packages that don't.

 For those with the source included the package is facing to be
potential moved from main to contrib. This is because packages in main
are required to only need tools that are available in main to produce
their binaries from their sources, and there unfortunately aren't such
tools in main (yet, TTBOMK). So moving them to contrib is an option to
them for keeping them as they are.

 For those without source included they have to go either to non-free
(if their license allows binary distribution without source) or they
have to get removed from the pool in case they are licensed under
something like GPL or similar which requires the source to be available,
too.

 One option available to both groups of packages is of course to remove
the flash files all together, if that's an option for your package.

 Hope this helps you for your decision on how to move on. Thanks for
your support and effort for Debian in any case!

 Enjoy!
Rhonda
-- 
"Lediglich 11 Prozent der Arbeitgeber sind der Meinung, dass jeder
Mensch auch ein Privatleben haben sollte."
        -- http://www.karriere.at/artikel/884/




Information forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Thu, 05 Aug 2010 12:18:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Frank Habermann <lordlamer@lordlamer.de>. (Thu, 05 Aug 2010 12:18:19 GMT) Full text and rfc822 format available.

Message #13 received at 591206@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Gerfried Fuchs <rhonda@debian.at>, 591193@bugs.debian.org
Cc: 591197@bugs.debian.org, 591194@bugs.debian.org, 591195@bugs.debian.org, 591199@bugs.debian.org, 591200@bugs.debian.org, 591201@bugs.debian.org, 591203@bugs.debian.org, 591205@bugs.debian.org, 591206@bugs.debian.org, 591207@bugs.debian.org, 591208@bugs.debian.org, 591209@bugs.debian.org, 591210@bugs.debian.org, 591383@bugs.debian.org
Subject: Re: Bug#591193: about not building swf files from source
Date: Thu, 5 Aug 2010 14:16:01 +0200
Hi!

* Gerfried Fuchs <rhonda@debian.at> [100805 12:46]:

> This is because packages in main are required to only need tools that
> are available in main to produce their binaries from their sources,
> and there unfortunately aren't such tools in main (yet, TTBOMK).

Citing from then #debian-ftp channel:

04:17:49 < raphael> dear ftp-masters, could you please make sure that NEW
      packages do _build_ the .swf files during the build process if they
      ship any? TIA
04:21:14 < Ganneff> would there be an easy way to check it?
04:24:59 < raphael> if they b-depend on haxe, mtasc, or swftools (if it
      gets uploaded again) they probably do
04:25:43 < dondelelcaro> probably can be a lintian check

So there seems to be three tools available.


Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Sat, 30 Oct 2010 11:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Frank Habermann <lordlamer@lordlamer.de>. (Sat, 30 Oct 2010 11:12:06 GMT) Full text and rfc822 format available.

Message #18 received at 591206@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 591206@bugs.debian.org
Subject: Re: Bug#591206: tinymce: does not build swf files from source
Date: Sat, 30 Oct 2010 12:08:59 +0100
[Message part 1 (text/plain, inline)]
retitle 591206 tinymce: contains Flash files without source code, notably non-free flv_player.swf

On Sun, 01 Aug 2010 at 00:30:52 -0400, Raphael Geissert wrote:
> tinymce ships multiple swf files but does not build them from source.

"find . -name '*.swf'" yields:
> ./jscripts/tiny_mce/plugins/media/img/flv_player.swf

According to http://tinymce.moxiecode.com/punbb/viewtopic.php?id=8223
this is likely to be flv_player.swf from <http://oos.moxiecode.com/flvplayer/>,
which does not come with source code, permission to distribute or any sort
of licensing information at all :-(

> ./examples/media/sample.swf

I assume from its name that this could safely be replaced with just about
anything.

    S
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'tinymce: contains Flash files without source code, notably non-free flv_player.swf' from 'tinymce: does not build swf files from source' Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sat, 30 Oct 2010 11:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Sun, 07 Nov 2010 16:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Frank Habermann <lordlamer@lordlamer.de>. (Sun, 07 Nov 2010 16:45:06 GMT) Full text and rfc822 format available.

Message #25 received at 591206@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Simon McVittie <smcv@debian.org>
Cc: 591206@bugs.debian.org
Subject: Re: Bug#591206: tinymce: does not build swf files from source
Date: Sun, 7 Nov 2010 17:43:55 +0100
On Sat, Oct 30, 2010 at 12:08:59PM +0100, Simon McVittie wrote:
> retitle 591206 tinymce: contains Flash files without source code, notably non-free flv_player.swf
> 
> On Sun, 01 Aug 2010 at 00:30:52 -0400, Raphael Geissert wrote:
> > tinymce ships multiple swf files but does not build them from source.
> 
> "find . -name '*.swf'" yields:
> > ./jscripts/tiny_mce/plugins/media/img/flv_player.swf
> 
> According to http://tinymce.moxiecode.com/punbb/viewtopic.php?id=8223
> this is likely to be flv_player.swf from <http://oos.moxiecode.com/flvplayer/>,
> which does not come with source code, permission to distribute or any sort
> of licensing information at all :-(

I've checked the packages currently in the archive using tinymce; three of
them initialise the media plugin and need to be updated to drop flv_player.swf
(and as a result the complete media plugin):

- knowledgeroot
- roundcube
- wordpress

I'm filing bug reports.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Mon, 08 Nov 2010 15:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <mindboosternoori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Frank Habermann <lordlamer@lordlamer.de>. (Mon, 08 Nov 2010 15:27:03 GMT) Full text and rfc822 format available.

Message #30 received at 591206@bugs.debian.org (full text, mbox):

From: Marcos Marado <mindboosternoori@gmail.com>
To: 591206@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#591206: tinymce: does not build swf files from source
Date: Mon, 8 Nov 2010 15:26:00 +0000
tags 591206 upstream
forwarded 591206 
https://sourceforge.net/tracker/?func=detail&aid=3105324&group_id=103281&atid=635682
thanks

Hi there,

Since flvplayer can't be redistributed, I sent an e-mail to its author asking 
if would he be so kind to start allowing redistribution. Don't expect source 
code, tho, from what he states in his website, he frowns upon source code 
requests.

Also, since upstream is redistributing flvplayer, which they aren't allowed 
to, I filled a bug upstream:
https://sourceforge.net/tracker/?func=detail&aid=3105324&group_id=103281&atid=635682

Best regards,
-- 
Marcos Marado




Added tag(s) upstream. Request was from Marcos Marado <mindboosternoori@gmail.com> to control@bugs.debian.org. (Mon, 08 Nov 2010 15:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Thu, 11 Nov 2010 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <mindboosternoori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Frank Habermann <lordlamer@lordlamer.de>. (Thu, 11 Nov 2010 15:18:03 GMT) Full text and rfc822 format available.

Message #37 received at 591206@bugs.debian.org (full text, mbox):

From: Marcos Marado <mindboosternoori@gmail.com>
To: 591206@bugs.debian.org
Subject: License updated (flvplayer)
Date: Thu, 11 Nov 2010 15:11:28 +0000
flvplayer's website[1] was updated with a "licence":

"I get a few questions about what kind of license this player is released 
under. I donŽt know, really.
You can do pretty much whatever the hell you want with it as far as IŽm 
concerned ;) So use it for whatever, redistribute it, etc.
As long as you donŽt try to profit from/sell it in any way, itŽs probably 
fine. If you are unsure, just drop me a quick email. "

So, this is clearly non-free (you can't sell it), but distributable. Maybe 
this is enough to let us move tinymce to non-free and close this bug?

[1] http://oos.moxiecode.com/flvplayer/
-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Thu, 11 Nov 2010 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Frank Habermann <lordlamer@lordlamer.de>. (Thu, 11 Nov 2010 15:39:04 GMT) Full text and rfc822 format available.

Message #42 received at 591206@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 591206@bugs.debian.org
Subject: Re: Bug#591206: License updated (flvplayer)
Date: Thu, 11 Nov 2010 16:35:53 +0100
Hi!

Am 11.11.2010 16:11, schrieb Marcos Marado:
> flvplayer's website[1] was updated with a "licence":
> 
> "I get a few questions about what kind of license this player is released 
> under. I donŽt know, really.
> You can do pretty much whatever the hell you want with it as far as IŽm 
> concerned ;) So use it for whatever, redistribute it, etc.
> As long as you donŽt try to profit from/sell it in any way, itŽs probably 
> fine. If you are unsure, just drop me a quick email. "
> 
> So, this is clearly non-free (you can't sell it), but distributable. Maybe 
> this is enough to let us move tinymce to non-free and close this bug?
> 
> [1] http://oos.moxiecode.com/flvplayer/

Yes, that makes it distributable for us, however:

$ apt-cache rdepends tinymce
tinymce
Reverse Depends:
  webgui
  citadel-webcit
  mahara
  horde3
  wordpress
  libwt21
  citadel-webcit
  roundcube-core
  python-django-tinymce
  knowledgeroot
  horde3

These packages would then need to be moved to contrib...

If I understand it correctly, it's just a plugin of tinymce in need of
that flash player?  Then couldn't that plugin be moved to non-free (in a
sepperate source package) so that a tinymce cleaned from this plugin
could stay in main as well as the other packages?


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Thu, 11 Nov 2010 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Marier <francois@debian.org>:
Extra info received and forwarded to list. Copy sent to Frank Habermann <lordlamer@lordlamer.de>. (Thu, 11 Nov 2010 20:12:03 GMT) Full text and rfc822 format available.

Message #47 received at 591206@bugs.debian.org (full text, mbox):

From: Francois Marier <francois@debian.org>
To: 591206@bugs.debian.org
Subject: Re: Bug#591206: License updated (flvplayer)
Date: Fri, 12 Nov 2010 09:08:34 +1300
On 2010-11-11 at 16:35:53, Alexander Reichle-Schmehl wrote:
> If I understand it correctly, it's just a plugin of tinymce in need of
> that flash player?  Then couldn't that plugin be moved to non-free (in a
> sepperate source package) so that a tinymce cleaned from this plugin
> could stay in main as well as the other packages?

What we've done upstream for Mahara is that we've removed the media player
from the tinymce source we bundle with Mahara. I suspect that a number of
the other rdeps might be fine with that if they don't use that part of
tinymce.

Moving tinymce to nonfree would likely cause the mahara package to start
using its own flvplayer-free bundled copy again which would be sub-optimal
from a security standpoint.

Has anybody tried to get tinymce to remove flvplayer upstream?

Cheers,
Francois




Information forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Sun, 14 Nov 2010 17:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Frank Habermann <lordlamer@lordlamer.de>. (Sun, 14 Nov 2010 17:39:05 GMT) Full text and rfc822 format available.

Message #52 received at 591206@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: lordlamer@lordlamer.de, 591206@bugs.debian.org
Subject: Re: Bug#591206: License updated (flvplayer)
Date: Sun, 14 Nov 2010 17:34:13 +0000
Hello,

On Thu, Nov 11, 2010 at 04:35:53PM +0100, Alexander Reichle-Schmehl wrote:

> If I understand it correctly, it's just a plugin of tinymce in need of
> that flash player?  Then couldn't that plugin be moved to non-free (in a
> sepperate source package) so that a tinymce cleaned from this plugin
> could stay in main as well as the other packages?
 
$ find . -name "*swf*"
./jscripts/tiny_mce/plugins/media/img/flv_player.swf
./examples/media/sample.swf

How important are those files? Could those be replaced or removed without affecting application functionality?

Cheers




Added tag(s) moreinfo. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 17:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#591206; Package src:tinymce. (Mon, 22 Nov 2010 19:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Habermann <lordlamer@lordlamer.de>:
Extra info received and forwarded to list. (Mon, 22 Nov 2010 19:51:06 GMT) Full text and rfc822 format available.

Message #59 received at 591206@bugs.debian.org (full text, mbox):

From: Frank Habermann <lordlamer@lordlamer.de>
To: Hector Oron <zumbi@debian.org>, 591206-submitter@bugs.debian.org
Cc: 591206@bugs.debian.org
Subject: Re: Bug#591206: License updated (flvplayer)
Date: Mon, 22 Nov 2010 20:43:02 +0100
Hi,

> $ find . -name "*swf*"
> ./jscripts/tiny_mce/plugins/media/img/flv_player.swf
> ./examples/media/sample.swf
> 
> How important are those files? Could those be replaced or removed without
> affecting application functionality?
I found nothing about using the flv_player.swf in sources. Seems to be 
obsolete.
The sample.swf is only a flash file with the logo of moxiecode.
This file is used for a sample flash insert. But it has no functionality.

So i think both files can be removed but i will try to contact moxiecode to 
clear that.

regards,
Frank




Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#591206. (Mon, 22 Nov 2010 19:51:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#591206; Package src:tinymce. (Tue, 23 Nov 2010 12:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Habermann <lordlamer@lordlamer.de>:
Extra info received and forwarded to list. (Tue, 23 Nov 2010 12:21:06 GMT) Full text and rfc822 format available.

Message #67 received at 591206@bugs.debian.org (full text, mbox):

From: Frank Habermann <lordlamer@lordlamer.de>
To: Hector Oron <zumbi@debian.org>, 591206-submitter@bugs.debian.org
Cc: 591206@bugs.debian.org
Subject: Re: Bug#591206: License updated (flvplayer)
Date: Tue, 23 Nov 2010 13:15:50 +0100
Hi,

>> $ find . -name "*swf*"
>> ./jscripts/tiny_mce/plugins/media/img/flv_player.swf
>> ./examples/media/sample.swf
>>
>> How important are those files? Could those be replaced or removed without
>> affecting application functionality?
> I found nothing about using the flv_player.swf in sources. Seems to be 
> obsolete.
> The sample.swf is only a flash file with the logo of moxiecode.
> This file is used for a sample flash insert. But it has no functionality.
> 
> So i think both files can be removed but i will try to contact moxiecode to 
> clear that.
I have contacted moxiecode. The answer for the flv_player.swf is:
"It was never implemented. We are working on implementing it now though."
So i think both files can be removed.

regards,
Frank




Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#591206. (Tue, 23 Nov 2010 12:21:13 GMT) Full text and rfc822 format available.

Added indication that bug 591206 blocks 602731 Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Sat, 27 Nov 2010 09:00:03 GMT) Full text and rfc822 format available.

Added indication that bug 591206 blocks 602732 Request was from Didier Raboud <didier@raboud.com> to control@bugs.debian.org. (Tue, 30 Nov 2010 14:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Tue, 30 Nov 2010 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to Frank Habermann <lordlamer@lordlamer.de>. (Tue, 30 Nov 2010 15:27:06 GMT) Full text and rfc822 format available.

Message #79 received at 591206@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: Frank Habermann <lordlamer@lordlamer.de>
Cc: Hector Oron <zumbi@debian.org>, 591206-submitter@bugs.debian.org, 591206@bugs.debian.org
Subject: Re: Bug#591206: License updated (flvplayer)
Date: Tue, 30 Nov 2010 16:25:24 +0100
[Message part 1 (text/plain, inline)]
Le Tuesday 23 November 2010 13:15:50 Frank Habermann, vous avez écrit :
> I have contacted moxiecode. The answer for the flv_player.swf is:
> "It was never implemented. We are working on implementing it now though."
> So i think both files can be removed.
> 
> regards,
> Frank

Hi Frank, 

I prepared an NMU for this bug (a simple repack without the two files), and I'm 
just waiting on one of my usual sponsors to pick it up.

http://alioth.debian.org/~odyx-guest/debian/unstable/tinymce_3.3.8+dfsg0-0.1.dsc

^ What do you think ? Can we proceed (to DELAYED/2 e.g.) ?

Cheers, 

OdyX

-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#591206. (Tue, 30 Nov 2010 15:27:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Frank Habermann <lordlamer@lordlamer.de>:
Bug#591206; Package src:tinymce. (Tue, 30 Nov 2010 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to didier@raboud.com:
Extra info received and forwarded to list. Copy sent to Frank Habermann <lordlamer@lordlamer.de>. (Tue, 30 Nov 2010 16:48:03 GMT) Full text and rfc822 format available.

Message #87 received at 591206@bugs.debian.org (full text, mbox):

From: didier@raboud.com
To: 591206@bugs.debian.org
Cc: xoswald@debian.org, Frank Habermann <lordlamer@lordlamer.de>
Subject: tinymce: diff for NMU version 3.3.8+dfsg0-0.1
Date: Tue, 30 Nov 2010 17:42:57 +0100
tags 591206 + patch
tags 591206 + pending
thanks

Dear maintainer,

I've prepared an NMU for tinymce (versioned as 3.3.8+dfsg0-0.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.
diff -Nru tinymce-3.3.8/debian/changelog tinymce-3.3.8+dfsg0/debian/changelog
--- tinymce-3.3.8/debian/changelog	2010-11-30 17:42:52.000000000 +0100
+++ tinymce-3.3.8+dfsg0/debian/changelog	2010-11-30 17:42:53.000000000 +0100
@@ -1,3 +1,10 @@
+tinymce (3.3.8+dfsg0-0.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Repack upstream tarball to remove the *.swf files (Closes: #591206).
+
+ -- Didier Raboud <didier@raboud.com>  Tue, 30 Nov 2010 15:17:50 +0100
+
 tinymce (3.3.8-1) unstable; urgency=low
 
   * new upstream release
Binary files /tmp/wzfSIEAPXp/tinymce-3.3.8/examples/media/sample.swf and /tmp/WsGA8yiLNa/tinymce-3.3.8+dfsg0/examples/media/sample.swf differ
Binary files /tmp/wzfSIEAPXp/tinymce-3.3.8/jscripts/tiny_mce/plugins/media/img/flv_player.swf and /tmp/WsGA8yiLNa/tinymce-3.3.8+dfsg0/jscripts/tiny_mce/plugins/media/img/flv_player.swf differ




Added tag(s) patch. Request was from didier@raboud.com to control@bugs.debian.org. (Tue, 30 Nov 2010 16:48:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from didier@raboud.com to control@bugs.debian.org. (Tue, 30 Nov 2010 16:48:09 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <didier@raboud.com>:
You have taken responsibility. (Thu, 02 Dec 2010 17:06:07 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Thu, 02 Dec 2010 17:06:07 GMT) Full text and rfc822 format available.

Message #96 received at 591206-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <didier@raboud.com>
To: 591206-close@bugs.debian.org
Subject: Bug#591206: fixed in tinymce 3.3.8+dfsg0-0.1
Date: Thu, 02 Dec 2010 17:03:53 +0000
Source: tinymce
Source-Version: 3.3.8+dfsg0-0.1

We believe that the bug you reported is fixed in the latest version of
tinymce, which is due to be installed in the Debian FTP archive:

tinymce_3.3.8+dfsg0-0.1.diff.gz
  to main/t/tinymce/tinymce_3.3.8+dfsg0-0.1.diff.gz
tinymce_3.3.8+dfsg0-0.1.dsc
  to main/t/tinymce/tinymce_3.3.8+dfsg0-0.1.dsc
tinymce_3.3.8+dfsg0-0.1_all.deb
  to main/t/tinymce/tinymce_3.3.8+dfsg0-0.1_all.deb
tinymce_3.3.8+dfsg0.orig.tar.gz
  to main/t/tinymce/tinymce_3.3.8+dfsg0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591206@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <didier@raboud.com> (supplier of updated tinymce package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 30 Nov 2010 15:17:50 +0100
Source: tinymce
Binary: tinymce
Architecture: source all
Version: 3.3.8+dfsg0-0.1
Distribution: unstable
Urgency: low
Maintainer: Frank Habermann <lordlamer@lordlamer.de>
Changed-By: Didier Raboud <didier@raboud.com>
Description: 
 tinymce    - platform independent web based Javascript/HTML WYSIWYG editor
Closes: 591206
Changes: 
 tinymce (3.3.8+dfsg0-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Repack upstream tarball to remove the *.swf files (Closes: #591206).
Checksums-Sha1: 
 39fb40a8f652c1ab35d09d73af80471f8888b00e 1639 tinymce_3.3.8+dfsg0-0.1.dsc
 7b5e2d852c200f76a0db8ba7a617386a04517092 570052 tinymce_3.3.8+dfsg0.orig.tar.gz
 2ad5a3aa97a1c27dd6ad2858a778adb6bd3d7e4a 3939 tinymce_3.3.8+dfsg0-0.1.diff.gz
 fa656a22a491678c175d05ed38ea40c4a3ca1268 457456 tinymce_3.3.8+dfsg0-0.1_all.deb
Checksums-Sha256: 
 4d10f95e6720bdbe4a9b25ee692e8abce8d2825addb8f7e379205192609d9004 1639 tinymce_3.3.8+dfsg0-0.1.dsc
 e3a68eeca979d725ea5759d6e65c3436c61c02bc60c753a989d9d3f672c4e801 570052 tinymce_3.3.8+dfsg0.orig.tar.gz
 7f3cdce16df062bd3b6625efe00a26a98521f7451f20b1fb98150e58ef4e7a9c 3939 tinymce_3.3.8+dfsg0-0.1.diff.gz
 5fac335f4e7d9d0335bf65eb325e71fe06a2d7ab7f97fe1e9c11db9ef8bd2b54 457456 tinymce_3.3.8+dfsg0-0.1_all.deb
Files: 
 34f95e19cfb7ca9220710c14ac58968c 1639 web optional tinymce_3.3.8+dfsg0-0.1.dsc
 98e0dda1480a1cf7899579172b0a2cc0 570052 web optional tinymce_3.3.8+dfsg0.orig.tar.gz
 4ab4571dde11209ed0df174d1792aec5 3939 web optional tinymce_3.3.8+dfsg0-0.1.diff.gz
 c8c49bf54d66b4f2f00596433134a890 457456 web optional tinymce_3.3.8+dfsg0-0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM9SlbAAoJEIW5DSNGS43jM/gQAIlFOX4425F8/OY4IARiwV2R
0ZUIUBCaM5zv+csHRn9ohKZN30oVp++2f7f6sko9PqF9Up3PPI7A+0cPtrA+lgc3
3fQMoLBiAdg9X59QjAjB4XsaSQOHTwc+LRHptEQGJ0YEiEetUlbYZTxx2rvRr+Co
e4PRsT4waQX7TgicxWZXqxUEf4CcVluYRKK8mbfY+xGin8oE+7Eem9+H7txzSaJM
Ay01chuCu+p/kzRdbR02j/pnuZ3QJy9UzFHOfXWx8jRDhG1AtawU/uV44qaU8zPN
sUwRgZ8WbjeO/X2Ij5LnHvFwA3s7Hys7KjYr0nh+7p71RG9az/T4+EwZqJxZDh2E
1/VRhtY+GWNUH8VrDgaBFSZnFsd8594Mi0QlKFkg7CFFd0tWfClhBjziSLcb/k4s
O1VciGq2OTVPRXev3NZ1C0IXoznbtvS+hyzhG3v8a0wDe+B8HST7xTtm0Xq6yxGf
tOBcXNZjFHD5KHAuETpI1ylm2JmqANULW23S2FkcMSvLqq7aBquDG6MDM6tvCRQb
HU8dJym9EjZBH8sI/+62LpfnUhJXeAZ3GawHOAROQP5DUDRlqjDEEiDneS/fa8Rr
RnnfheQIwcfbhANOGRIAnoFwU0O2bRABxyGhl6K0n889ElLfGpZ4zvOko9sHad2A
cw3+MpauAqLcyiTDGvFG
=uV3d
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#591206; Package src:tinymce. (Thu, 02 Dec 2010 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Habermann <lordlamer@lordlamer.de>:
Extra info received and forwarded to list. (Thu, 02 Dec 2010 23:27:03 GMT) Full text and rfc822 format available.

Message #101 received at 591206@bugs.debian.org (full text, mbox):

From: Frank Habermann <lordlamer@lordlamer.de>
To: Didier 'OdyX' Raboud <didier@raboud.com>, 591206@bugs.debian.org
Subject: Re: Bug#591206: License updated (flvplayer)
Date: Fri, 03 Dec 2010 00:21:32 +0100
Hi,

sorry for late replay. Lot of private work ;)

From my side it was all ok. Thanks for the work!

regards,
Frank

Am 30.11.2010 16:25, schrieb Didier 'OdyX' Raboud:
> Le Tuesday 23 November 2010 13:15:50 Frank Habermann, vous avez écrit :
>> I have contacted moxiecode. The answer for the flv_player.swf is:
>> "It was never implemented. We are working on implementing it now though."
>> So i think both files can be removed.
>>
>> regards,
>> Frank
> 
> Hi Frank, 
> 
> I prepared an NMU for this bug (a simple repack without the two files), and I'm 
> just waiting on one of my usual sponsors to pick it up.
> 
> http://alioth.debian.org/~odyx-guest/debian/unstable/tinymce_3.3.8+dfsg0-0.1.dsc
> 
> ^ What do you think ? Can we proceed (to DELAYED/2 e.g.) ?
> 
> Cheers, 
> 
> OdyX
> 





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 31 Dec 2010 07:31:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:36:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.